AssignmentTestable.TestResult (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Enum AssignmentTestable.TestResult

- java.lang.Object
- - java.lang.Enum<AssignmentTestable.TestResult>
  - - org.apache.cassandra.cql3.AssignmentTestable.TestResult

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AssignmentTestable.TestResult>
  Enclosing interface:
    AssignmentTestable

      public static enum AssignmentTestable.TestResult
      extends java.lang.Enum<AssignmentTestable.TestResult>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXACT_MATCH`
    `NOT_ASSIGNABLE`
    `WEAKLY_ASSIGNABLE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAssignable()`
    `boolean` | `isExactMatch()`
    `static AssignmentTestable.TestResult` | `testAll(java.lang.String keyspace, ColumnSpecification receiver, java.util.Collection<? extends AssignmentTestable> toTest)`
    `static AssignmentTestable.TestResult` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AssignmentTestable.TestResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXACT_MATCH

          public static final AssignmentTestable.TestResult EXACT_MATCH

    - #### WEAKLY_ASSIGNABLE

          public static final AssignmentTestable.TestResult WEAKLY_ASSIGNABLE

    - #### NOT_ASSIGNABLE

          public static final AssignmentTestable.TestResult NOT_ASSIGNABLE

  - ### Method Detail

    - #### values

          public static AssignmentTestable.TestResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AssignmentTestable.TestResult c : AssignmentTestable.TestResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AssignmentTestable.TestResult valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isAssignable

          public boolean isAssignable()

    - #### isExactMatch

          public boolean isExactMatch()

    - #### testAll

          public static AssignmentTestable.TestResult testAll(java.lang.String keyspace,
                                                              ColumnSpecification receiver,
                                                              java.util.Collection<? extends AssignmentTestable> toTest)

Copyright © 2018 The Apache Software Foundation